commit: 591aaad1a13e95287bf5e261d9db72d24807145e
Author: Cédric Krier <cedk <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 17 23:27:16 2017 +0000
Commit: Cédric Krier <cedk <AT> gentoo <DOT> org>
CommitDate: Fri Feb 17 23:29:50 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=591aaad1
www-apps/roundup: Version bumps
bug #576868
Package-Manager: portage-2.3.3
www-apps/roundup/Manifest | 1 +
www-apps/roundup/metadata.xml | 4 ++++
www-apps/roundup/roundup-1.5.1.ebuild | 40 +++++++++++++++++++++++++++++++++++
3 files changed, 45 insertions(+)
diff --git a/www-apps/roundup/Manifest b/www-apps/roundup/Manifest
index 15857efa56..eefa8c5111 100644
--- a/www-apps/roundup/Manifest
+++ b/www-apps/roundup/Manifest
@@ -1,2 +1,3 @@
DIST roundup-1.4.20.tar.gz 2127168 SHA256
a38a2f4bdf1076f2107de683f1d4e10450edaf94a1be9438198a5cb2241a13a2 SHA512
62a1ca744afb7e17a4e165d695e1623d73810a3d3e6c374a4b73d010fcc3e93756ca0bfb6dc4cf7937acd1156c4b938e881e2e9ffd9b0c8e4c4366b730cc43b1
WHIRLPOOL
6fb918d427f304081b666390eefbc3a330bfe9a93b6e89aef2905e2b27b2a68fe74691fbf95569095b4f504703f9cd68823c3c9761b25db5be9cfa6439a07dd5
DIST roundup-1.5.0.tar.gz 2388893 SHA256
45ab9d3d92ff4ad7f1bb7ac561df43ca3c7e07129caab0dea810aa508f047be7 SHA512
b861f1fe63b702a4831773a291907818c853fa3593b05165019ea666a3ee2dd538845db8bcb5156cf2247caa4180f3ad44d1e08ed9279d95c131313934e39d70
WHIRLPOOL
2821cf7714cbd22694b0195419af75d90fb7b7bb3507bc706a3398bcae23500d63a82bb67eeb9482a7ae1296b5b3096fde2fee10d49282db176159d9009776d7
+DIST roundup-1.5.1.tar.gz 2618886 SHA256
d5b915e57d33c302ca38a0f018032ac7842570a4d1a5ac3f04f6f07211f94a68 SHA512
d7cdeaafb682ce7f202cacddeb1a42312f22778a2c83b52b4e838c27b1e7141a94b2ac2b670b0edee0efcfe27d74e31e6f267ae1380e90359def27385ca68d58
WHIRLPOOL
093f3b7d202b04ab3e21f96a1fb0b900d24c5ff60a91a716ed96d0abb106d124b251440a4b5f449b82d2d986dbe860cc37fadd84630386d5e4f60861e1f2dbd6
diff --git a/www-apps/roundup/metadata.xml b/www-apps/roundup/metadata.xml
index ccc27c8bd6..0942edd018 100644
--- a/www-apps/roundup/metadata.xml
+++ b/www-apps/roundup/metadata.xml
@@ -5,6 +5,10 @@
<email>[email protected]</email>
<name>Gentoo Webapps</name>
</maintainer>
+ <maintainer type="person">
+ <email>[email protected]</email>
+ <name>Cédric Krier</name>
+ </maintainer>
<upstream>
<remote-id type="pypi">roundup</remote-id>
<remote-id type="sourceforge">roundup</remote-id>
diff --git a/www-apps/roundup/roundup-1.5.1.ebuild
b/www-apps/roundup/roundup-1.5.1.ebuild
new file mode 100644
index 0000000000..04f180683d
--- /dev/null
+++ b/www-apps/roundup/roundup-1.5.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="Issue-tracking system with command-line, web, and e-mail
interfaces"
+HOMEPAGE="http://roundup.sourceforge.net https://pypi.python.org/pypi/roundup"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT ZPL"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+DOCS="CHANGES.txt doc/*.txt"
+
+python_install_all() {
+ distutils-r1_python_install_all
+ rm -r "${ED}"/usr/share/doc/${PN} || die
+ dohtml -r doc/*
+}
+
+pkg_postinst() {
+ ewarn "As a non privileged user! (not root)"
+ ewarn "Run 'roundup-admin install' to set up a roundup instance"
+ ewarn "Then edit your config.ini file in the tracker home you setup"
+ ewarn "Run 'roundup-admin initialise' to setup the admin pass"
+ ewarn "run /usr/bin/roundup start port host \"your tracker name\" [your
tracker home], and all should work!"
+ ewarn "run /usr/bin/roundup stop [your tracker home] to stop the server"
+ ewarn "log is in [tracker home]/roundup.log"
+ ewarn "pid file is in [tracker home]/roundup.pid"
+ ewarn
+ ewarn "See upgrading.txt for upgrading instructions."
+}